### Function

# Babl type_new

#### Declaration [src]

    const Babl*
    babl_type_new (
      void* first_arg,
      ...
    )

#### Description [src]

Defines a new data type in babl. A data type that babl can have in its buffers requires conversions to and from “double” to be registered before passing sanity.

    babl_type_new       (const char *name,
                         "bits",     int bits,
                         ["min_val", double min_val,]
                         ["max_val", double max_val,]
                         NULL);.

This function is not directly available to language bindings.

#### Parameters

`first_arg`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`...`

  Type: ``

  No description available.

#### Return value

Type: `Babl`

No description available.

The data is owned by the called function.